%global upstream_name requests-kerberos
%global module_name requests_kerberos

%bcond_with spnego

Summary:        A Kerberos authentication handler for python-requests
Name:           python-%{upstream_name}
Version:        0.14.0
Release:        1%{?dist}
License:        MIT
URL:            https://github.com/requests/requests-kerberos
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  python3-devel python3-setuptools python3-pytest
BuildArch:      noarch

%description
Requests is an HTTP library, written in Python, for human beings. This library adds optional
Kerberos/GSSAPI authentication support and supports mutual authentication.

%package -n python3-%{upstream_name}
Summary:        A Kerberos authentication handler for python-requests
BuildRequires:  python3-requests python3-kerberos python3-cryptography
Requires:       python3-requests python3-kerberos python3-cryptography

%description -n python3-%{upstream_name}
Requests is an HTTP library, written in Python, for human beings. This library adds optional
Kerberos/GSSAPI authentication support and supports mutual authentication.

%prep
%autosetup -n %{upstream_name}-%{version} -p1
sed -i -E -e 's/^(\s*)from mock import /\1from unittest.mock import /' tests/test_requests_kerberos.py

%build
%py3_build

%check
%if %{with spnego}
py.test-3 tests/
%endif

%install
%py3_install

%files -n python3-%{upstream_name}
%license LICENSE
%doc README.rst AUTHORS HISTORY.rst
%{python3_sitelib}/%{module_name}
%{python3_sitelib}/%{module_name}*.egg-info

%changelog
* Mon Sep 25 2023 Miaojun Dong <zoedong@tencent.com> - 0.14.0-1
- Bump version to 0.14.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.12.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.12.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.12.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.12.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 20 2023 Shuo Wang <abushwang@tencent.com> - 0.12.0-1
- initial build
